function [output_filecheck] = fun_file_checkexistance(input_filelist)
    % check the existence of the file before running
    output_filecheck=0;
    n_missing=0;

    for i = 1 : length(input_filelist) % check the existance of the files
        filename = input_filelist(i); 
        if exist(filename,'file') ~= 2
            output_filecheck = output_filecheck+1;
            n_missing = n_missing+1;
            missingfile(n_missing,1) = filename;
            missingfile(n_missing,2) = i;
        end
    end    
    
    if output_filecheck > 0 
        disp 'The following files are not found!'; 
        if n_missing > 0
            missingfile
            assignin('base', 'missingfile', missingfile);
        end
    else
        disp 'File checking done!'; 
    end
end

